#include "PT_Bus.h"
#include "OS_Debug.h"

using namespace EARTH;

extern "C" __declspec(dllexport) status _(PT::Bus **bus);

status _(PT::Bus **bus_)
{
	OS::Debug::EnableMemoryChecker();

	if (bus_ == NULL) return PT::STATUS_INVALID_PARAM_ERROR;

	PT::Bus_ *bus = new PT::Bus_();
	_ASSERTE(bus);
	status status = bus->Init();
	if (status) {
		delete_(bus);
	}

	_ASSERTE(bus_);
	*bus_ = bus;

	return status;
}
