#ifndef _Memory_H
#define _Memory_H

#include "Prefix_.h"

namespace EARTH {
namespace Memory {
	enum {
		SIZE = (4)*1024
	};

	void *Alloc(uint size);
	void Free(void *ptr);

	class Block;

	class _ {
	public:
		struct argument {
			void *driver;
			uint kernelBit;
		};
	
		virtual ~_() {}
		virtual	Block *NewBlock(uint card, uint offset, uint size) = 0;
	};
}
}

#endif
